summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@iinet.net.au>2016-11-04 08:08:47 +1000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-05 07:15:55 +0700
commite2d0b942af2291d31550aabcca0e5f01c8c998b8 (patch)
tree1186d1b1804df8fbfeebd1af7f8aa6b042d519b8 /libraries
parent9f147582f63763e5d6154bb0a65c89a5d202ee84 (diff)
downloadslackbuilds-e2d0b942af2291d31550aabcca0e5f01c8c998b8.tar.gz
slackbuilds-e2d0b942af2291d31550aabcca0e5f01c8c998b8.tar.xz
libraries/live555: Updated for version 2016.11.03
Signed-off-by: Christoph Willing <chris.willing@iinet.net.au>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/live555/live555.SlackBuild8
-rw-r--r--libraries/live555/live555.info6
2 files changed, 9 insertions, 5 deletions
diff --git a/libraries/live555/live555.SlackBuild b/libraries/live555/live555.SlackBuild
index a832c013f4..e54c1ebac8 100644
--- a/libraries/live555/live555.SlackBuild
+++ b/libraries/live555/live555.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=live555
-VERSION=${VERSION:-2016.10.21}
+VERSION=${VERSION:-2016.11.03}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -67,7 +67,11 @@ for f in $(find . -type f |xargs grep -l "LIBDIR =") ; do echo $f; sed -i -e "/L
./genMakefiles linux-with-shared-libraries
make
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || {
+ # Intermittent race condition
+ sleep 1
+ make install DESTDIR=$PKG
+}
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
sed -e "s/%VERSION%/$VERSION/" -e "s/%LIBDIRSUFFIX%/$LIBDIRSUFFIX/" -e "s/%PREFIX%/\/usr/" $CWD/live555.pc.in >$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/live555.pc
diff --git a/libraries/live555/live555.info b/libraries/live555/live555.info
index 6340c352fa..5c86dd4a01 100644
--- a/libraries/live555/live555.info
+++ b/libraries/live555/live555.info
@@ -1,8 +1,8 @@
PRGNAM="live555"
-VERSION="2016.10.21"
+VERSION="2016.11.03"
HOMEPAGE="http://www.live555.com/"
-DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/live555/live.2016.10.21.tar.gz"
-MD5SUM="3b1f04f17ac5206d9d1930fcc998a94e"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/live555/live.2016.11.03.tar.gz"
+MD5SUM="c07772e55b42aeb3313eb3b6a4ecb0a8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""